Package net.md_5.bungee.api.dialog

# Class ServerLinksDialog

java.lang.Object
net.md_5.bungee.api.dialog.ServerLinksDialog

All Implemented Interfaces:
  `Dialog`

public final class ServerLinksDialog extends Object implements Dialog
Represents a dialog which shows the links configured/sent from the server.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerLinksDialog(@NonNull DialogBase base)`
  `ServerLinksDialog(@NonNull DialogBase base, ActionButton action, Integer columns, Integer buttonWidth)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActionButton`
  `action()`
  The optional `ActionButton` for this dialog.
  `ServerLinksDialog`
  `action(ActionButton action)`
  The optional `ActionButton` for this dialog.
  `Integer`
  `buttonWidth()`
  The width of the dialog buttons (default: 150, minimum: 1, maximum: 1024).
  `ServerLinksDialog`
  `buttonWidth(Integer buttonWidth)`
  `Integer`
  `columns()`
  The number of columns for the dialog buttons (default: 2).
  `ServerLinksDialog`
  `columns(Integer columns)`
  `boolean`
  `equals(Object o)`
  `ActionButton`
  `exitAction()`
  The `ActionButton` activated when the dialog is exited.
  `ServerLinksDialog`
  `exitAction(ActionButton exitAction)`
  The `ActionButton` activated when the dialog is exited.
  `@NonNull DialogBase`
  `getBase()`
  Gets the dialog base which contains the dialog title and other options common to all types of dialogs.
  `int`
  `hashCode()`
  `void`
  `setBase(@NonNull DialogBase base)`
  Sets the dialog base.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServerLinksDialog

    public ServerLinksDialog(@NonNull @NonNull DialogBase base)

  - ### ServerLinksDialog

    public ServerLinksDialog(@NonNull @NonNull DialogBase base, ActionButton action, Integer columns, Integer buttonWidth)

- ## Method Details

  - ### columns

    public ServerLinksDialog columns(Integer columns)

  - ### buttonWidth

    public ServerLinksDialog buttonWidth(Integer buttonWidth)

  - ### getBase

    @NonNull public @NonNull DialogBase getBase()
    Description copied from interface: `Dialog`
    Gets the dialog base which contains the dialog title and other options common to all types of dialogs.
    Specified by:
      `getBase` in interface `Dialog`
    Returns:
      mutable reference to the dialog base

  - ### action

    public ActionButton action()
    The optional `ActionButton` for this dialog.

  - ### exitAction

    public ActionButton exitAction()
    The `ActionButton` activated when the dialog is exited.

  - ### columns

    public Integer columns()
    The number of columns for the dialog buttons (default: 2).

  - ### buttonWidth

    public Integer buttonWidth()
    The width of the dialog buttons (default: 150, minimum: 1, maximum: 1024).

  - ### setBase

    public void setBase(@NonNull @NonNull DialogBase base)
    Description copied from interface: `Dialog`
    Sets the dialog base.
    For internal use only as this is mandatory and should be specified in the constructor.
    Specified by:
      `setBase` in interface `Dialog`
    Parameters:
      `base` - the new dialog base

  - ### action

    public ServerLinksDialog action(ActionButton action)
    The optional `ActionButton` for this dialog.
    Returns:
      `this`.

  - ### exitAction

    public ServerLinksDialog exitAction(ActionButton exitAction)
    The `ActionButton` activated when the dialog is exited.
    Returns:
      `this`.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`